"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorMsg = void 0;
const jsonEntityFn_1 = require("./jsonEntityFn");
/**
 * Create a new custom formats validator
 * @param name
 * @param options
 * @decorator
 * @ajv
 */
function ErrorMsg(obj) {
    return (0, jsonEntityFn_1.JsonEntityFn)((store) => {
        // since errorMessage is a custom key, it is prefixed with a # to avoid conflict with JSON Schema keywords
        const errorMessage = store.parentSchema.get("#errorMessage") || {};
        store.parentSchema.customKey("errorMessage", { ...errorMessage, ...obj });
    });
}
exports.ErrorMsg = ErrorMsg;
//# sourceMappingURL=errorMsg.js.map