"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.popGenerics = exports.mapGenericsOptions = exports.getGenericsMap = void 0;
/**
 * @ignore
 * @param genericLabels
 * @param genericTypes
 */
function getGenericsMap(genericLabels, genericTypes) {
    return genericLabels.reduce((map, item, index) => map.set(item, genericTypes[index]), new Map());
}
exports.getGenericsMap = getGenericsMap;
/**
 * @ignore
 * @param options
 */
function mapGenericsOptions(options) {
    if (options.genericLabels && options.genericTypes) {
        const { genericLabels, genericTypes, ...ops } = options;
        return {
            ...ops,
            generics: getGenericsMap(genericLabels, genericTypes)
        };
    }
    return options;
}
exports.mapGenericsOptions = mapGenericsOptions;
/**
 * @ignore
 * @param value
 */
function popGenerics(value) {
    const [genericTypes, ...out] = value.nestedGenerics;
    return {
        genericTypes,
        nestedGenerics: out
    };
}
exports.popGenerics = popGenerics;
//# sourceMappingURL=generics.js.map