"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mapOperationOptions = void 0;
const OperationVerbs_1 = require("../constants/OperationVerbs");
const ALLOWED_VERBS = new Set([
    ...Object.keys(OperationVerbs_1.OperationVerbs)
        .filter((v) => v !== OperationVerbs_1.OperationVerbs.CUSTOM)
        .map((v) => v.toLowerCase())
]);
function mapOperationOptions(args) {
    let method = undefined;
    let path = undefined;
    const handlers = args.filter((arg) => {
        if (typeof arg === "string" && ALLOWED_VERBS.has(arg.toLowerCase())) {
            method = arg.toLocaleUpperCase();
            return false;
        }
        if (typeof arg === "string" || arg instanceof RegExp) {
            path = arg || "/";
            return false;
        }
        return !!arg;
    });
    return {
        path,
        method,
        use: handlers
    };
}
exports.mapOperationOptions = mapOperationOptions;
//# sourceMappingURL=mapOperationOptions.js.map